<div align="center"><img src="https://github.com/emmettgb/Lathe.jl/blob/Unstable/lathelogo.png" />
  <h2>0.1.2 "ButterBall"</h2>
</div>
<div align="left">
  <p> Lathe.jl is an all-in-one package for predictive modeling in Julia. It comes packaged with a Stats Library, DataFrame tools, Preprocessing, Machine-Learning Models, and Model Validation. Lathe features easy one line constructor model fit-predicting, fast dispatch, easy documentation, and a great code-base with strong deployability.</p>
        </div>
        </div>
      </a> </br></br></br>
      <h3>Documentation<h3>
  
  
## [Latest](http://lathe.ai/doc)
**You can also access Lathe documentation using the built in ?() method in Julia:**

  
```julia
help?> Lathe.stats.mean
  Calculates the mean of a given array.

  ──────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────

  array = [5,10,15]

  mean = Lathe.stats.mean(array)

  println(mean)

  10
```

## Features
- Pipelines
- An ever-expanding library of machine-learning models.
- A large stats library with distributions and model validation included.
- Data Processing and Data Loading tools.
- Neural Network Framework.
- Fast speed with easy methods.
- Feature Scaling and Encoding

## Add it!
**(press ] in the Julia REPL to go to Pkg REPL)**\
 #### LTS (Long-term support, reccommended):
 ```julia
 (v1.3) pkg> add Lathe#Butterball
 ```
 #### Latest (Get the latest stable developments):
 ```julia
 (v1.3) pkg> add Lathe
 ```
 #### Unstable (Get the latest undocumented and unstable developments):
 ```julia
 (v1.3) pkg> add Lathe#Unstable
 ```
